commit: aaab896551bedc2e8801da8fbdcd05c276ea51f9
Author: Michał Górny <mgorny <AT> gentoo <DOT> org>
AuthorDate: Thu Jan 16 04:18:48 2025 +0000
Commit: Michał Górny <mgorny <AT> gentoo <DOT> org>
CommitDate: Thu Jan 16 05:10:52 2025 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=aaab8965
dev-python/s3transfer: Bump to 0.11.0
Signed-off-by: Michał Górny <mgorny <AT> gentoo.org>
dev-python/s3transfer/Manifest | 1 +
dev-python/s3transfer/s3transfer-0.11.0.ebuild | 39 ++++++++++++++++++++++++++
2 files changed, 40 insertions(+)
diff --git a/dev-python/s3transfer/Manifest b/dev-python/s3transfer/Manifest
index e67351e2b608..bafd22ba2d7b 100644
--- a/dev-python/s3transfer/Manifest
+++ b/dev-python/s3transfer/Manifest
@@ -1 +1,2 @@
DIST s3transfer-0.10.4.tar.gz 145287 BLAKE2B
0b15068862236237287243237639310d35de942b0d3d399edd5ee924195ee8f45b2badea4b02f8dceef64f034111a810910b8208cb6e0c5db070b39f5c39f615
SHA512
671d95e9f507bdca8cf53b88cd28285f9c2ae1456fcb24ba4a61a75d30e8c8fa8b2a4faa8c8364114dc3e5c57f630d5b61575847b167e37b3de44b42c45f6a63
+DIST s3transfer-0.11.0.tar.gz 146986 BLAKE2B
050e757482c5b7524b2cc0b7aee1d41cbbff2ee26f62caff481077a4985932ffc486abe7076e4f4e4e4549eb616b302da0a279d86b826a780f4cf017168ad828
SHA512
8e12199fbcec039f228df877ff2026a1e977eafb9fd967d7e5669a9e6f8b73673f295df1a469ed6ce082a1882dab4518b1f6621ca3714c13f8febaa90dfee922
diff --git a/dev-python/s3transfer/s3transfer-0.11.0.ebuild
b/dev-python/s3transfer/s3transfer-0.11.0.ebuild
new file mode 100644
index 000000000000..66ebf3255b17
--- /dev/null
+++ b/dev-python/s3transfer/s3transfer-0.11.0.ebuild
@@ -0,0 +1,39 @@
+# Copyright 1999-2025 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=setuptools
+PYTHON_COMPAT=( python3_{10..13} )
+
+inherit distutils-r1 pypi
+
+DESCRIPTION="An Amazon S3 Transfer Manager"
+HOMEPAGE="
+ https://github.com/boto/s3transfer/
+ https://pypi.org/project/s3transfer/
+"
+
+LICENSE="Apache-2.0"
+SLOT="0"
+KEYWORDS="~amd64 ~arm ~arm64 ~loong ~ppc ~ppc64 ~riscv ~sparc ~x86
~amd64-linux ~x86-linux"
+
+RDEPEND="
+ <dev-python/botocore-2[${PYTHON_USEDEP}]
+ >=dev-python/botocore-1.33.2[${PYTHON_USEDEP}]
+"
+
+distutils_enable_tests pytest
+
+src_prepare() {
+ # do not rely on bundled deps in botocore (sic!)
+ find -name '*.py' -exec sed -i \
+ -e 's:from botocore[.]vendored import:import:' \
+ -e 's:from botocore[.]vendored[.]:from :' \
+ {} + || die
+ distutils-r1_src_prepare
+}
+
+python_test() {
+ epytest tests/{unit,functional}
+}